Page MenuHomePhabricator

elm_focus: implement legacy targets for logical widgets
ClosedPublic

Authored by bu5hm4n on Dec 3 2018, 9:05 AM.

Details

Summary

they are now handled. The list of parents is walked until a possible
candidate is found or the parent chain is the same then in the next
focused element.

fix T7389

Depends on D7408

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Dec 3 2018, 9:05 AM
bu5hm4n requested review of this revision.Dec 3 2018, 9:05 AM
YOhoho accepted this revision.Dec 3 2018, 6:01 PM

need rebase

This revision is now accepted and ready to land.Dec 3 2018, 6:01 PM

Sorry - I forgot to sent one revision to phabricator, thus the not clean applying.
The revision is now added :)

bu5hm4n updated this revision to Diff 17882.Dec 13 2018, 11:22 PM
bu5hm4n edited the summary of this revision. (Show Details)

fix valgrind warnings

Closed by commit rEFL2df601d589ad: elm_focus: implement legacy targets for logical widgets (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyDec 17 2018, 12:46 AM
This revision was automatically updated to reflect the committed changes.